
package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.excel.CgJsbzExcel;
import org.sky.scientific.pojo.entity.CgJsbzEntity;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * 科研成果-技术标准 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgJsbzService extends BaseService<CgJsbzEntity> {

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<CgJsbzExcel>
	 */
	List<CgJsbzExcel> export(Wrapper<CgJsbzEntity> queryWrapper);

	void importCgJsbz(MultipartFile file);

	boolean save(CgJsbzEntity cgJsbz);

	boolean update(CgJsbzEntity cgJsbz);

	boolean physicalDeleteByIds(List<Long> ids);
}
